jQuery(function($){
	
		
	$("#ResponsablesExpedientesDetalle_filter_toolbar").hide();

	$("#ResponsablesExpedientesDetalle").rup_table({
		rowNum:20,
		url: "../aa21b29s01",
		colNames: [
		    "idRespExp",
			"cserv29",
			"cexpe29",
			"aexpe29",
			"nexpe29",
			$.rup.i18n.app.aa21b29s01.crespo29,
			$.rup.i18n.app.aa21b29s01.drespo29,
			$.rup.i18n.app.aa21b29s01.frespo29
		],
		colModel: [
		    { 	name: "idRespExp", 
 				label: "idRespExp",
				hidden: true 
			},
			{ 	name: "cserv29", 
			 	label: "cserv29",
				hidden: true 
			},
			{ 	name: "cexpe29", 
			 	label: "cexpe29",
				hidden: true 
			},
			{ 	name: "aexpe29", 
			 	label: "aexpe29",
				hidden: true 
			},
			{ 	name: "nexpe29", 
			 	label: "nexpe29",
				hidden: true 
			},
			{ 	name: "crespo29", 
			 	label: "crespo29",
				align: "right", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "drespo29", 
			 	label: "drespo29",
				align: "left", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			},
			{ 	name: "frespo29", 
			 	label: "frespo29",
				align: "left", 
				width: 150, 
				editable: true, 
				fixed: false, 
				hidden: false, 
				resizable: true, 
				sortable: true
			}
        ],

        model:"Aa21b29s01",
        usePlugins:[
			"formEdit",
        	"feedback",
			"toolbar",
        	"contextMenu",
        	"fluid",
        	"filter",
        	//"search"
         	],
		primaryKey: "idRespExp",
		sortname: "cserv29",
		sortorder: "asc",
		loadOnStartUp: false,
        formEdit:{
        	detailForm: "#ResponsablesExpedientesDetalle_detail_div",
			fillDataMethod: "clientSide"
        }
	});
	$("#ResponsablesExpedientesDetalle_toolbar").hide();
	/*$("[id='ResponsablesExpedientesDetalle_toolbar##"+$.rup.i18n.base.rup_maint.new+"']").hide();
	$("[id='ResponsablesExpedientesDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").hide();
	$("[id='ResponsablesExpedientesDetalle_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").hide();
	$("[id='ResponsablesExpedientesDetalle_toolbar"+$.rup.i18n.base.rup_maint.clone+"']").hide();*/
	
	$("#ResponsablesExpedientesDetalle").rup_table("filter");
	
	
	
	$("#ResponsablesExpedientesDetalle").on("rupTable_beforeAddRow", function(deleteOptions,selectedRow){
		return false;
	});
	
	$("#ResponsablesExpedientesDetalle").on("rupTable_beforeEditRow", function(deleteOptions,selectedRow){
		return false;
	});
	
	jQuery("#ResponsablesExpedientesDetalle").on("jqGridDblClickRow", function(event, form, oper) {
		return false;
	});
	
	jQuery("#dialogoDocumentosExpediente").on("dialogclose", function() {
		$("#ResponsablesExpedientesDetalle_div").hide();
		$("#dialogoEsperaDetalleHistorico").show();
	});
	
	
	$("#dialogoEsperaDetalleHistorico").hide();
	$("#ResponsablesExpedientesDetalle_div").show();
	
	
});